@import "../colours";

.sdm-toolbar-dock {
  position: fixed;
  top: -1000px;

  // Global

  @import "../themes/progress";

  div {
    border: none;
  }

  button, input {
    color: $sdm-color-text;
    background-color: $sdm-color-header;
  }

  .sdm-tag {
    color: $sdm-color-text-warning;
  }

  .sdm-rank {
    color: $sdm-color-text-info;
  }

  .sdm-mark {
    color: $sdm-color-text-info-alt;
  }

  .sdm-insufficient {
    color: $sdm-color-header-error;
  }

  // Tree

  .sdm-toolbar {
    width: 75em;

    background-color: $sdm-color-container;
    color: $sdm-color-text;

    &.react-draggable-dragging {
      opacity: 0.75;
    }

    .sdm-handle {
      cursor: move;
      padding: 0.5em 0.75em;

      background-color: $sdm-color-header-dark;
      color: $sdm-color-text;
    }

    ul.react-tabs__tab-list {
      padding: 0;
      margin: 0;

      background-color: $sdm-color-header;
      color: $sdm-color-text-dimmer;

      li.react-tabs__tab {
        display: inline-block;
        width: 10em;
        padding: 0.5em;
        text-align: center;

        list-style-type: none;
        cursor: pointer;

        &.react-tabs__tab--selected {
          background-color: $sdm-color-container;
          color: $sdm-color-text;
        }
      }
    }

    .sdm-content {

      @import "../themes/fieldset";

      padding: 1em;

      .sdm-optimiser {

        .sdm-score-function {
          table {
            width: 100%;
          }
        }
      }

      .sdm-demonstrators {
        .sdm-year {
          margin-bottom: 1em;

          .sdm-year-label {
            font-weight: bold;
          }

          .sdm-entry {
            width: 16em;
            display: inline-block;
            cursor: pointer;

            @import "../themes/selected";

            &.unavailable {
              text-decoration: line-through;
            }
          }
        }

        .sdm-legend {
          .sdm-entry {
            width: 33%;
            float: left;
          }
        }
      }

      .sdm-modes {

        button {
          background-color: $sdm-color-container;

          @import "../themes/selected";
        }
      }
    }
  }
}
